### Class

# FwupdPlugin CabImage

#### Description

    final class FwupdPlugin.CabImage : FwupdPlugin.Firmware
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- FuFirmware
- GObject

#### Constructors

###### fu_cab_image_new

No description available.

since: 1.9.7

#### Instance methods

###### fu_cab_image_get_created

Gets the created timestamp.

since: 1.9.7

###### fu_cab_image_get_win32_filename

Gets the in-archive Windows filename, with a possible path component — creating from the firmware ID if required.

since: 1.9.7

###### fu_cab_image_set_created

Sets the created timestamp.

since: 1.9.7

###### fu_cab_image_set_win32_filename

Sets the in-archive Windows filename, with a possible path component.

since: 1.9.7

##### Methods inherited from FuFirmware (66)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginCabImageClass {
      FuFirmwareClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuFirmwareClass`

  No description available.